org.eclipse.actf.model.ui.editor

## Class DummyEditorInput

- java.lang.Object
- - org.eclipse.actf.model.ui.editor.DummyEditorInput

All Implemented Interfaces:
  IAdaptable, IEditorInput

    public class DummyEditorInput
    extends Object
    implements IEditorInput

Dummy Editor Input for Editors of ACTF `IModelService` implementation. This class is used for open external resources, such as Web site, etc.

See Also:
  `IModelService`

### Constructor Summary

Constructors
Constructor and Description
`DummyEditorInput(String url, String name)`

### Method Summary

Methods
`boolean` `exists()`
`Object` `getAdapter(Class adapter)`
`ImageDescriptor` `getImageDescriptor()`
`String` `getName()`
`IPersistableElement` `getPersistable()`
`String` `getToolTipText()`
`String` `getUrl()` Get target content URL as String.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DummyEditorInput

    public DummyEditorInput(String url,
                    String name)

Parameters:
  `url` - target content URL
  `name` - the name of this Editor input

### Method Detail

#### exists

    public boolean exists()

Specified by:
  `exists` in interface `IEditorInput`

#### getImageDescriptor

    public ImageDescriptor getImageDescriptor()

Specified by:
  `getImageDescriptor` in interface `IEditorInput`

#### getName

    public String getName()

Specified by:
  `getName` in interface `IEditorInput`

#### getPersistable

    public IPersistableElement getPersistable()

Specified by:
  `getPersistable` in interface `IEditorInput`

#### getToolTipText

    public String getToolTipText()

Specified by:
  `getToolTipText` in interface `IEditorInput`

#### getAdapter

    public Object getAdapter(Class adapter)

Specified by:
  `getAdapter` in interface `IAdaptable`

#### getUrl

    public String getUrl()

Get target content URL as String. ACTF `IModelService` implementations will open the URL.

Returns:
  target content URL as String